<?php defined( '_JEXEC' ) or die( 'Restricted access' );

/**
 * @version 2.0 $Id: default_categorieslist.php,v 1.7 2010-03-25 22:56:09 harry Exp $
 * @package Joomla
 * @subpackage H2N Link Directory 2
 * @copyright (C) 2008 - 2009 Harry Klein - www.joomla-hklein.de
 * @Copyright (C) 2006 Soner (pisdoktor) Ekici - www.sonerekici.com
 * @license GNU/GPL, see LICENSE.php
 * 
 * H2N Link Directory 2 is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.
 *
 * H2N Link Directory 2 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with EventList; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

require_once(JPATH_COMPONENT.DS.'classes'.DS.'LinkdirectoryURL.php');

?> 
<div  id="ldlinklist">
<?php 
if (count($this->rows_of_categories)) {
	$k = 0;
	for ($i=0, $n=count( $this->rows_of_categories ); $i < $n; $i++) {
		$cat = &$this->rows_of_categories[$i];
		$link = LinkdirectoryURL::getSearchURL('categories',$this->searchtext,$this->searchtype,$cat->id);
		$description = $cat->description;
		$title = $cat->name;
		?>
<table width="100%" class="linktable" cellpadding="0" cellspacing="0">
	<tr class="<?php echo $this->tabclass[$k]; ?>">
	<td valign="top"><div class="linktitle">
		<a href="<?php echo $link; ?>"><?php echo $title; ?></a></div></td>
	</tr>
	<?php if ($description || $cat->image ) { ?>
	<tr>
		<td valign="top">
	<?php if ($cat->image){?>
		<a href="<?php echo $cat->image['link'];?>"><img 
			src="<?php echo $cat->image['src'];?>" border="0" alt="<?php echo $cat->image['alt']; ?>" align="left" /></a>
	<?php } ?>	
			<div class="linkdesc"><?php echo $description;?></div>
		</td>
	</tr>
	<?php } ?>
</table>
		<?php
		$k = 1 - $k;
	}
	?>
</div>
<!-- Page navigation -->
	<?php if ($this->paginationLinks) {  ?>
<div class="pagination">
<table width="100%" class="navtable">
	<tr>
		<td class="navtable"><?php echo $this->paginationLinks->getPagesLinks(); ?></td>
	</tr>
	<tr>
		<td class="navtable"><?php echo $this->paginationLinks->getPagesCounter(); ?></td>
	</tr>
</table>
</div>
<!-- Page navigation -->
		<?php
	}
}
?>