<?php defined('_JEXEC') or die( 'Restricted access' );

/**
 * @version 2.0 $Id: view.html.php,v 1.2 2011-03-25 22:34:45 harry Exp $
 * @package Joomla
 * @subpackage H2N Link Directory 2
 * @copyright (C) 2008 - 2009 Harry Klein - www.joomla-hklein.de
 * @Copyright (C) 2006 Soner (pisdoktor) Ekici - www.sonerekici.com
 * @license GNU/GPL, see LICENSE.php
 * 
 * H2N Link Directory 2 is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.
 *
 * H2N Link Directory 2 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with EventList; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

jimport( 'joomla.application.component.view');



class LinkDirectory2ViewImport extends JView {
	const MODEL_WEBLINKS = 'weblinks';
	const MODEL_INFORMATION = 'information';
	
	private function displayToolBar() {
		JHTML::_('behavior.tooltip'); 
		$edit		= JRequest::getVar('edit',true);
		$text = $edit ? JText::_('Edit'): JText::_('New') ;
		JToolBarHelper::title(JText::_('Import WebLinks' ));
		JToolBarHelper::save('importWebLinks','Import');
		JToolBarHelper::cancel('cancelWebLink', 'Close' );
	}
	
	
	function display($tpl = null) {
		
		
		
		
		if ( JRequest::getBool('prepare')){
			$modelInformation=JModel::getInstance(self::MODEL_INFORMATION,'LinkDirectory2Model');
			$weblinkCount = $modelInformation->getWeblinkCount();
			$categoryCount = $modelInformation->getCategoryCount();			
			require_once JPATH_COMPONENT_ADMINISTRATOR.DS.'classes'.DS.'CategoryHtmlHelper.php';
			$this->displayToolBar();
			
			$rootCategoryId = 0;
			$lists = array();
			$lists['categories'] = CategoryHtmlHelper::getCategoryListAsHtml( 'catid', intval($rootCategoryId));
			$this->assignRef('lists', $lists);
			$this->assign('weblinkCount',$weblinkCount);
			$this->assign('categoryCount',$categoryCount);
		} else {
			$model=JModel::getInstance(self::MODEL_WEBLINKS,'LinkDirectory2Model');
			$tpl='result';
			$model->import();
		}		
		parent::display($tpl);
	}
}